import { Column, Link } from './interface';
export default class {
    trigger: Map<string, Link>;
    stroge: Map<string, any[]>;
    columns: Column<any>[];
    constructor(columns: Column<any>[]);
    init(data: any): void;
    getOptions(column: Column<any>): {
        name: string;
        value: string | number;
    }[];
    call(column: Column<any>, value: any, callBack?: Function): void;
}
